IRPCVaultsAdminBasic.GetReplicasOfVaultsAdmin

View as Markdown

Administration API / specialized admin session idempotent

Lists the replica vaults of the server.

ServiceVault management (basic) MFiles.IRPCVaultsAdminBasic
gRPC method/MFiles.IRPCVaultsAdminBasic/GetReplicasOfVaultsAdmin
HTTP (mf-http-grpc)POST /grpc/v1/get-replicas-of-vaults-admin
RequestGetReplicasOfVaultsAdminRequest
ResponseGetReplicasOfVaultsAdminResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetReplicasOfVaultsAdminRequest

A structure that specifies get replicas of vaults admin request.

No fields.

Response: GetReplicasOfVaultsAdminResponse

A structure that specifies get replicas of vaults admin response.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
can_manage_vaultsboolTrue if the caller has the server right manage_vaults; then the vault data is complete.
vaults[]repeated VaultExThe replica vaults, with master_server_address. With can_manage_vaults all fields are filled except database credentials; otherwise only the basic data. See VaultEx.
vaults[].vaultVaultBasic data.
vaults[].vault.vaultVaultBasicBasic data.
vaults[].vault.main_data_folderstringThe main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault).
vaults[].vault.additional_data_folders[]repeated AdditionalFolderThe specification of the additional file data folders.
vaults[].vault.database_infoSQLDatabaseThe vault's SQL database.
vaults[].vault.file_data_storageFileDataStorageIdentifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4).
vaults[].vault.file_data_connection_stringstringThe connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty.
vaults[].vault_typeVaultTypeThe vault type.Values: VAULT_TYPE_NORMAL_VAULT (0), VAULT_TYPE_REPLICA_VAULT (1), VAULT_TYPE_GROUND_LINK_PROXY (2).
vaults[].master_server_addressServerAddressThe address of the master server. Specified if the vault type is 'replica'.
vaults[].master_server_address.network_addressstringThe network address (name) of the server.
vaults[].master_server_address.endpointstringThe endpoint of the server.
vaults[].master_server_address.protocol_sequencestringThe protocol sequence of the server.
online_states[]repeated boolWhether each vault is online, in the order of vaults.